Package org.eclipse.net4j.util.factory

# Interface IFactory

All Known Subinterfaces:
  `IManagedContainerFactory`, `IPropertiesFactory`, `ITreeFactory`

All Known Implementing Classes:
  `AnnotationFactory`, `AuthenticatorFactory`, `AuthorizableOperationFactory`, `ChallengeNegotiatorFactory`, `ChatRenderer.AvatarGenerator.Default.Factory`, `ChatRenderer.Factory`, `CredentialsProviderFactory`, `Crypter.MetaFactory`, `DelegableReentrantLock.DelegateDetector.Factory`, `ElementWizardFactory`, `EntryControlAdvisor.Factory`, `ExceptionHandler.Factory`, `ExecutorServiceFactory`, `Factory`, `FactoryDescriptor`, `FileAuthenticatorFactory`, `FileUserManagerFactory`, `GZIPStreamWrapper.Factory`, `IConfirmationProvider.Factory`, `IConfirmationProvider.Factory.Default`, `InteractiveConfirmationProvider.Factory`, `IntrospectionProvider.Factory`, `IStreamWrapper.Factory`, `MenuFiller.Factory`, `MetaFactory`, `NegotiatorFactory`, `OpenHandler.Factory`, `OperationAuthorizerFactory`, `PropertiesFactory`, `RandomizerFactory`, `ResponseNegotiatorFactory`, `SingletonFactory`, `StringConverter.MetaFactory`, `StringParser.MetaFactory`, `StringTester.MetaFactory`, `TimerLifecycle.DaemonFactory`, `TreeFactory`, `TreeFactory.ContainerAware`, `UserManagerFactory`, `ValueFormatter.Factory`

public interface IFactory
`Creates` objects from a string `description`.

If a factory is registered in an `IManagedContainer`, the `IManagedContainerFactory` extension interface injects that container into the factory for it to reach back into to obtain dependencies.

Author:
  Eike Stepper
See Also:
  - `IManagedContainerFactory`

## Method Summary

Modifier and Type
Method
Description
`Object`
`create(String description)`
`String`
`getDescriptionFor(Object product)`
`IFactoryKey`
`getKey()`

## Method Details

### getKey

IFactoryKey getKey()

### create

Object create(String description) throws ProductCreationException

Throws:
  `ProductCreationException`

### getDescriptionFor

String getDescriptionFor(Object product)